-- -*- sql -*-
-- registration table
--
CREATE TABLE pyicq_register
(
  "owner" text NOT NULL,
  username varchar(255),
  "password" varchar(255),
  encryptedpassword text,
  CONSTRAINT "PK_register_owner" PRIMARY KEY ("owner")
) 
WITHOUT OIDS;


-- Index: register_owner_index

-- DROP INDEX register_owner_index;

CREATE INDEX register_owner_index
  ON pyicq_register
  USING btree
  ("owner");

commit;
--
-- settings table
--
-- Table: settings

-- DROP TABLE settings;

CREATE TABLE pyicq_settings
(
  "owner" text NOT NULL,
  variable varchar(255),
  value varchar(255),
  CONSTRAINT "PK_settings_owner" PRIMARY KEY ("owner")
) 
WITHOUT OIDS;


-- Index: settings_owner_index

-- DROP INDEX settings_owner_index;

CREATE INDEX settings_owner_index
  ON pyicq_settings
  USING btree
  ("owner");

-- Index: settings_variable_index

-- DROP INDEX settings_variable_index;

CREATE INDEX settings_variable_index
  ON pyicq_settings
  USING btree
  (variable);

commit;
--
-- lists table
--
CREATE TABLE pyicq_lists
(
  "owner" text NOT NULL,
  "type" varchar(255) NOT NULL,
  jid varchar(255)
) 
WITHOUT OIDS;


-- Index: lists_jid_index

-- DROP INDEX lists_jid_index;

CREATE INDEX lists_jid_index
  ON pyicq_lists
  USING btree
  (jid);

-- Index: lists_owner_index

-- DROP INDEX lists_owner_index;

CREATE INDEX lists_owner_index
  ON pyicq_lists
  USING btree
  ("owner");

-- Index: lists_type_index

-- DROP INDEX lists_type_index;

CREATE INDEX lists_type_index
  ON pyicq_lists
  USING btree
  ("type");

commit;
--
-- list attributes table
--
CREATE TABLE pyicq_list_attributes
(
  "owner" text NOT NULL,
  "type" varchar(255) NOT NULL,
  jid varchar(255),
  attribute varchar(255),
  value varchar(255)
) 
WITHOUT OIDS;


-- Index: la_jid_index

-- DROP INDEX la_jid_index;

CREATE INDEX la_jid_index
  ON pyicq_list_attributes
  USING btree
  (jid);

-- Index: la_owner_index

-- DROP INDEX la_owner_index;

CREATE INDEX la_owner_index
  ON pyicq_list_attributes
  USING btree
  ("owner");

-- Index: la_type_index

-- DROP INDEX la_type_index;

CREATE INDEX la_type_index
  ON pyicq_list_attributes
  USING btree
  ("type");

--
-- custom settings table
--

CREATE TABLE pyicq_csettings
(
  "owner" text NOT NULL,
  variable varchar(255),
  value varchar(255)
) 
WITHOUT OIDS;


-- Index: csettings_owner_index

-- DROP INDEX csettings_owner_index;

CREATE INDEX csettings_owner_index
  ON pyicq_csettings
  USING btree
  ("owner");

--
-- x-statuses table
--
CREATE TABLE pyicq_xstatuses (
    "owner" TEXT NOT NULL,
    number varchar(255),
    title varchar(255),
    value varchar(255)
);

CREATE INDEX xstatuses_owner_index
  ON pyicq_xstatuses
  USING btree
  ("owner");

commit;
